## Index

### Interfaces

- TestAccount
- Transport
- TransportOptions

### Type aliases

- SendMailOptions
- SentMessageInfo
- Transporter

### Functions

- createTestAccount
- createTransport
- getTestMessageUrl

## Type aliases

### SendMailOptions

SendMailOptions: Options

- Defined in node_modules/@types/nodemailer/index.d.ts:20

### SentMessageInfo

SentMessageInfo: any

- Defined in node_modules/@types/nodemailer/index.d.ts:22

### Transporter

Transporter: Mail

- Defined in node_modules/@types/nodemailer/index.d.ts:24

## Functions

### createTestAccount

- createTestAccount(apiUrl: string, callback: function): void
- createTestAccount(callback: function): void
- createTestAccount(apiUrl?: undefined | string): Promise<TestAccount>

- - Defined in node_modules/@types/nodemailer/index.d.ts:61

  #### Parameters

  - ##### apiUrl: string

  - ##### callback: function

    - - (err: Error | null, testAccount: TestAccount): void

      - #### Parameters

        - ##### err: Error | null

        - ##### testAccount: TestAccount

        #### Returns void

- - Defined in node_modules/@types/nodemailer/index.d.ts:62

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, testAccount: TestAccount): void

      - #### Parameters

        - ##### err: Error | null

        - ##### testAccount: TestAccount

        #### Returns void

- - Defined in node_modules/@types/nodemailer/index.d.ts:63

  #### Parameters

  - ##### Optional apiUrl: undefined | string

  #### Returns Promise<TestAccount>

### createTransport

- createTransport(transport?: SMTPTransport | Options | string, defaults?: Options): Mail
- createTransport(transport: SMTPPool | Options, defaults?: Options): Mail
- createTransport(transport: SendmailTransport | Options, defaults?: Options): Mail
- createTransport(transport: StreamTransport | Options, defaults?: Options): Mail
- createTransport(transport: JSONTransport | Options, defaults?: Options): Mail
- createTransport(transport: SESTransport | Options, defaults?: Options): Mail
- createTransport(transport: Transport | TransportOptions, defaults?: TransportOptions): Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:53

  #### Parameters

  - ##### Optional transport: SMTPTransport | Options | string

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:54

  #### Parameters

  - ##### transport: SMTPPool | Options

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:55

  #### Parameters

  - ##### transport: SendmailTransport | Options

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:56

  #### Parameters

  - ##### transport: StreamTransport | Options

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:57

  #### Parameters

  - ##### transport: JSONTransport | Options

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:58

  #### Parameters

  - ##### transport: SESTransport | Options

  - ##### Optional defaults: Options

  #### Returns Mail

- - Defined in node_modules/@types/nodemailer/index.d.ts:59

  #### Parameters

  - ##### transport: Transport | TransportOptions

  - ##### Optional defaults: TransportOptions

  #### Returns Mail

### getTestMessageUrl

- getTestMessageUrl(info: SentMessageInfo | SentMessageInfo): string | false

- - Defined in node_modules/@types/nodemailer/index.d.ts:65

  #### Parameters

  - ##### info: SentMessageInfo | SentMessageInfo

  #### Returns string | false

Generated using TypeDoc